#include "add_numbers.h"

double add_numbers(double num1, double num2)
{
	return num1 + num2;
}


extern "C" void goldsim_add_numbers(int methodID, int* status, double* inargs, double* outargs)
{
	*status = 0;

	switch (methodID)
	{
	case 0: // Initialize (called at beginning of each realization)
		break;


	case 1: // Perform function calls
		outargs[0] = add_numbers(inargs[0], inargs[1]);
		break;


	case 2: // Version number of the DLL
		outargs[0] = 1.03;
		break;


	case 3: // Number of input and output arguments
		outargs[0] = 2.0; // Number of inputs 
		outargs[1] = 1.0; // Number of outputs 
		break;


	case 99: // Optionally release any memory that's been allocated
		break;


	default: // Error if this point is reached
		*status = 1;
		break;
	}
}